サーバー設定

PHPの最新リポジトリを追加でエラー!!

Ubuntu(バージョンは16.xx)で構築したサーバに、

PHP7.0.xxの最新バージョンを使用したかったので、

最新のリポジトリを追加しようと以下のコマンドを実行
# sudo apt-add-repository ppa:ondrej/php

 

ところが、こんなエラーが出てしまいました。↓↓
sudo: apt-add-repository: command not found

 

確か、

以前別のサーバ(Ubuntu 12)構築の際に「python-software-properties」が必要だった気がしたので、

インストールしてやります。
# sudo apt-get install python-software-properties

 

で、もう一度PHPのリポジトリを追加です。
# sudo apt-add-repository ppa:ondrej/php

 

が、やはりエラーは改善されず。

 

調べてみると、

どうも、Ubuntu 16.xxでは「software-properties-common」が必要だったみたいです。

 

なので、インストール!!
#sudo apt-get install software-properties-common

 

で、3度目の正直ということで、もう一度PHPのリポジトリを追加です。
# sudo apt-add-repository ppa:ondrej/php

 

今度は最後まで処理が完了しました。
PHP7.0.xxのリポジトリを追加

 

最後に

# sudo apt-get update
でパッケージをアップデートして、

# sudo apt-cache policy php7.0
でインストール可能なPHP7.0系のパッケージを確認してやります。

 

最新バージョンが追加されていれば、問題なしです!!

0
この記事を書いている人
株式会社ディープ

名前ダッチ

メールアドレスadachi@deep-deep.jp

Twitterはこちら >>

  • コメント: 0

関連記事

コメント

  • コメント (0)

  • トラックバックは利用できません。

  1. この記事へのコメントはありません。

最近の記事

  1. プログラマーになろう
  2. オンライン学習支援サイト
  3. Python スクール
  4. ITスクール
  5. フリーランス
  6. 太子堂八幡神社の茅の輪
  7. システムエラー
  8. WP:WordPress(ワードプレス)
  9. ITコンサルティング
  10. トラブル

Twitter

ダッチ@職業ブロガー兼プログラマー
@gatsu0000

アーカイブ

PAGE TOP